Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## archive.system
Class PRequestPacchettoManager

    java.lang.Object
      archive.utility.RequestInfo
          archive.system.PRequestPacchettoManager

All Implemented Interfaces:
  CreatePrenotation, RichiestaPrenotazionePacchetto, RoomAvailability

    public class PRequestPacchettoManager

extends RequestInfo
implements RichiestaPrenotazionePacchetto

Una classe per la richiesta di prenotazione pacchetto. Mostra l'elenco dei pacchetti e dettagli.

Constructor Summary
`PRequestPacchettoManager()`

Method Summary
`boolean` | `addInListaAttesa(int n, java.lang.String cognome)` Implementa il metodo dell'interfaccia `RichiestaPrenotazionePacchetto` Aggiunge il cognome di un cliente in lista d'attesa
`boolean` | `anyWeekAvaible(int sett, java.lang.String nome)` Controlla disponibilita' senza restrizione su settimane passate
`boolean` | `doPrenotation(int ns, java.lang.String c, java.lang.String n, java.lang.String t, Carta carta, java.lang.String tipo, java.lang.String corsi)` Implementa il metodo dell'interfaccia `RichiestaPrenotazionePacchetto` Crea una prenotazione
`int` | `getFreeRoom(char tipo)` Ritorna il numero di stanze libere
`boolean` | `isAvaible(int sett, java.lang.String nome)` Implementa il metodo dell'interfaccia `RichiestaPrenotazionePacchetto` Controlla se la settimana e' passata e disponibilita in una determinata settimana per uno specifico villaggio
`void` | `setNomeVillaggio(java.lang.String nome)` Setta il villaggio in esame
`java.lang.String[]` | `showDetails(java.lang.String nome, int sett)` Implementa il metodo dell'interfaccia `RichiestaPrenotazionePacchetto` Mostra i dettagli per una specifica settimana
`java.lang.String[]` | `showList()` Implementa il metodo dell'interfaccia `RichiestaPrenotazionePacchetto` Crea un array di stringhe contenente i pacchetti

Methods inherited from class archive.utility.RequestInfo
`requestInformation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface archive.interfacce.RichiestaPrenotazionePacchetto
`requestInformation`

Constructor Detail

### PRequestPacchettoManager

    public PRequestPacchettoManager()

Method Detail

### showList

    public java.lang.String[] showList()

  Implementa il metodo dell'interfaccia `RichiestaPrenotazionePacchetto` Crea un array di stringhe contenente i pacchetti

  Specified by:
    `showList` in interface `RichiestaPrenotazionePacchetto`
  Returns:
    un array di stringhe (pacchetti)

### setNomeVillaggio

    public void setNomeVillaggio(java.lang.String nome)

  Setta il villaggio in esame

  Parameters:
    `nome` - nome del villaggio

### showDetails

    public java.lang.String[] showDetails(java.lang.String nome,
                                          int sett)

  Implementa il metodo dell'interfaccia `RichiestaPrenotazionePacchetto` Mostra i dettagli per una specifica settimana

  Specified by:
    `showDetails` in interface `RichiestaPrenotazionePacchetto`
  Parameters:
    `nome` - nome del villaggio
    `sett` - numero della settimana
  Returns:
    un String[] con i dettagli

### isAvaible

    public boolean isAvaible(int sett,
                             java.lang.String nome)

  Implementa il metodo dell'interfaccia `RichiestaPrenotazionePacchetto` Controlla se la settimana e' passata e disponibilita in una determinata settimana per uno specifico villaggio

  Specified by:
    `isAvaible` in interface `RoomAvailability`
  Parameters:
    `sett` - numero settimana
    `nome` - nome villaggio
  Returns:
    true se c'e' disponibilita'

### anyWeekAvaible

    public boolean anyWeekAvaible(int sett,
                                  java.lang.String nome)

  Controlla disponibilita' senza restrizione su settimane passate

  Specified by:
    `anyWeekAvaible` in interface `RoomAvailability`
  Parameters:
    `sett` - numero settimana
    `nome` - nome villaggio
  Returns:
    true se c'e' disponibilita'

### addInListaAttesa

    public boolean addInListaAttesa(int n,
                                    java.lang.String cognome)

  Implementa il metodo dell'interfaccia `RichiestaPrenotazionePacchetto` Aggiunge il cognome di un cliente in lista d'attesa

  Specified by:
    `addInListaAttesa` in interface `RichiestaPrenotazionePacchetto`
  Parameters:
    `n` - numero della settimana
    `cognome` - cognome cliente
  Returns:
    true se aggiunto con successo

### doPrenotation

    public boolean doPrenotation(int ns,
                                 java.lang.String c,
                                 java.lang.String n,
                                 java.lang.String t,
                                 Carta carta,
                                 java.lang.String tipo,
                                 java.lang.String corsi)
                          throws SingleRoomFullException

  Implementa il metodo dell'interfaccia `RichiestaPrenotazionePacchetto` Crea una prenotazione

  Specified by:
    `doPrenotation` in interface `CreatePrenotation`
  Parameters:
    `ns` - numero della settimana
    `c` - cognome cliente
    `n` - nome cliente
    `t` - telefono
    `carta` - carta di credito
    `tipo` - tipo di stanza
    `corsi` - corsi selezionati
  Returns:
    true se eseguito con successo
  Throws:
    `SingleRoomFullException` - se stanze singole non disponibili
    `java.util.NoSuchElementException` - se necessita richiesta di aggiunta in lista d'attesa

### getFreeRoom

    public int getFreeRoom(char tipo)

  Ritorna il numero di stanze libere

  Specified by:
    `getFreeRoom` in interface `RoomAvailability`
  Parameters:
    `tipo` - tipo di stanza
  Returns:
    numero di stanze libere

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD